body
{
  /*padding-top: 50px; */
  overflow-x: hidden;
}

/* Fija altura de ui-view principal */
div.contenedorPrincipal {
  /*height: 95%;*/
  height: initial;
}


div.spinnerCargaModal {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0px;
  left: 0px;
  z-index: 100;
  background-color: rgba(0, 0, 0, 0.51);
}

div.spinnerCargaModal md-progress-circular .md-inner .md-gap {
  border-top-color: rgb(181, 63, 63);
  border-bottom-color: rgb(181, 63, 63);
}

div.spinnerCargaModal md-progress-circular .md-inner .md-left .md-half-circle {
  border-left-color: rgb(181, 63, 63);
  border-top-color: rgb(181, 63, 63);
  border-bottom-color: rgb(181, 63, 63);
}

div.spinnerCargaModal md-progress-circular .md-inner .md-right .md-half-circle {
  border-top-color: rgb(181, 63, 63);
  border-right-color: rgb(181, 63, 63);
}

div.scrollFlotanteHorizontal {
  z-index: 1;
  position: fixed;
  bottom: 2px;
  left: 20px;
}

button.botonScrollFlotanteHorizontal i {
  vertical-align: middle;
}

button.botonScrollFlotanteHorizontal#scrollFlotanteIzq,
button.botonScrollFlotanteHorizontal#scrollFlotanteDer {
  color: black;
  background-color: rgba(177, 177, 177, 0.76);
}

button.botonScrollFlotanteHorizontal#scrollFlotanteIzq:hover,
button.botonScrollFlotanteHorizontal#scrollFlotanteDer:hover {
  background-color: rgba(97, 97, 97, 0.75);
}

@keyframes alertaNoCubierta { /* CSS3 */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
@-moz-keyframes alertaNoCubierta { /* Firefox */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
@-webkit-keyframes alertaNoCubierta { /* Webkit */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
.alertaNoCubierta {

  position: absolute;
  width: 3px;
  height: 3px;
  display: -webkit-inline-box;
  margin-top: 0px;
  margin-left: -16px;
  border-radius: 7px;



  animation:         alertaNoCubierta 2s infinite; /* CSS3 */
  -moz-animation:    alertaNoCubierta 2s infinite; /* Firefox */
  -webkit-animation: alertaNoCubierta 2s infinite; /* Webkit */
}


/* Delta Negativo */
span.negativo {
  background: #FF6F6F;
  border-radius: 0.8em;
  -moz-border-radius: 0.8em;
  -webkit-border-radius: 0.8em;
  color: #ffffff;
  display: inline-block;
  font-weight: bold;
  line-height: 1.6em;

  text-align: center;
  width: 3em;
  font-size: 0.8em;
}
/* Delta Positivo */
span.positivo {
  background: #06D829;
  border-radius: 0.8em;
  -moz-border-radius: 0.8em;
  -webkit-border-radius: 0.8em;
  color: #ffffff;
  display: inline-block;
  font-weight: bold;
  line-height: 1.6em;

  text-align: center;
  width: 3em;
  font-size: 0.8em;
}
/* Delta PositivoExtra */
span.positivoExtra {
  background: rgba(126, 219, 236, 0.77);
  border-radius: 0.8em;
  -moz-border-radius: 0.8em;
  -webkit-border-radius: 0.8em;
  color: rgb(42, 67, 124);
  /*color: black;*/
  display: inline-block;
  font-weight: bold;
  line-height: 1.6em;

  text-align: center;
  width: 3em;
  font-size: 0.8em;
}



@media (max-height: 1000px) {
  div.modalCubrirTurno
  {
    overflow-x:scroll;
    overflow-y:scroll;
    height: 550px;
  }

}

@media (max-height: 800px) {
  div.modalCubrirTurno
  {
    overflow-x:scroll;
    overflow-y:scroll;
    height: 550px;
  }
}

div.modalReporte
  {
    margin-top: 10px;
  }




/*
  Fuerza que la barra horizontal de la tabla de planilla se mantenga en primer plano al hacer hover sobre ella
 */
.ngc.scroll-wrapper.horizontal:hover {
    z-index: 1000000;
}

/*  following just for the demo */

.numbers{
    font-weight:900;
    font-size:50px;
}

#bottom {
    clear:both;
    margin:0 1.66%;
    width:89.68%;
    padding: 3.5%;
    background-color:#1E1E1E;
    color: #fff;
}
#bottom p{
    text-align:center;
    line-height:2em;
}
#bottom a{
    color: #000;
    text-decoration:none;
    border:1px solid #000;
    padding:10px 20px 12px;
    line-height:70px;
    background:#ccc;

    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}

#bottom a:hover{
    background:#ECECEC;
    border:1px solid #fff;
}

/* BOX */

.estamento-box-solo-lectura-1,
.estamento-box-solo-lectura-2,
.estamento-box-solo-lectura-3 {
  color: aliceblue;
  font-weight: bold;
}

.estamento-box-solo-lectura-1 {
  background-color: rgba(22, 22, 56);
}

.estamento-box-solo-lectura-2 {
  background-color: #1e50a2;
}

.estamento-box-solo-lectura-3 {
  background-color: #095f38;
}

.clavesBoxSoloLectura {
  background-color: #3375bd;
  color: aliceblue;
}

.clavesBoxSoloLectura h2, .clavesBoxSoloLectura h3 {
  font-size: 50px;
}

.indicadorSolLunaBoxSoloLectura{
  padding-top: 8px;
}

.indicadorTurnoBoxSoloLectura {
    background: #804e7e;
    color: aliceblue;
    padding-top: 4px;
    margin-bottom: 3px;
}

/* FIN BOX */


tbody.tablaSoloLectura  {
  background-color: rgba(255, 255, 255, 0);
  font-size: initial;
}

.estamentoSoloLectura  {

      background-color: rgba(23, 123, 255, 0.5);
      border-color: rgba(128, 128, 128, 0);
      color: white;
}

.estamentoSoloLectura2  {

      background-color: rgba(78, 162, 220, 0.5);
      border-color: rgba(128, 128, 128, 0);
      color: white;
}

.estamentoSoloLectura3  {

      background-color: rgba(65, 152, 119, 0.5);
      border-color: rgba(128, 128, 128, 0);
      color: white;
}

/* El fondo de color de las celdas <td> de la clase 'tablaSoloLectura' tendran un tono de color gris */
tbody.tablaSoloLectura td {
      background-color: #8A8A8A;
}


.dummy {
    margin-top: 100%;
}
.thumbnail {
    position: absolute;
    top: 15px;
    bottom: 0;
    left: 15px;
    right: 0;
    text-align:center;
    padding-top:calc(50% - 30px);
}

h3.seleccion i {
	color: gray;
}

h3.seleccion i:hover {
	color: black;
	cursor: pointer;
}

.panel.panel-default.seleccion {
    background-color: rgba(225, 202, 234, 0.52);
}

.panel-heading.seleccion {
    background-color: rgba(255, 255, 255, 0.15);
    border-color: rgba(240, 248, 255, 0);
}

/* Cuerpo del bloque de cada seleccion */
.panel-body.seleccion {
    min-height: 80px;
    max-height: 200px;
    overflow: auto;
}

/* Nueva clase 'listaPosicionSector' que fija la altura maxima del elemento lista con el atributo 'dnd-list'. Sole en 'modalPosicionSector' */
.panel-body.listaPosicionSector ul[dnd-list] {
    height: 45vh;
    overflow-y: auto;
    word-wrap: break-word;
}


li.seleccionado.ng-binding.ng-scope {
    background-color: rgba(228, 127, 255, 0.06);
    cursor: pointer;
}

h3.panel-title.seleccion.ng-binding {
    text-align: center;
    font-size: x-large;
    color: gray;
}

.row.headerSeleccion {
    background-color: rgba(255, 255, 255, 0.15);
    padding-bottom: 20px;
    padding-top: 20px;
    margin-bottom: 10px;
}

/* Nueva clase 'estamentoTrabajadorSeleccion' que define las dimensiones para la etiqueta <span> de cada trabajador */
span.estamentoTrabajadorSeleccion {
    height: 100%;
    width: 10px;
    position: absolute;
    left: 0;
    top: 0;
}

/* Junto con la clase 'estamentoTrabajadorSeleccion', se definen las clases con los colores que indican visiblemente el estamento de cada trabajador */
.estamentoEnfermera  {
    background-color: rgba(23, 123, 255, 0.5);
}

.estamentoTens  {
    background-color: rgba(123, 184, 226, 0.5);
}

.estamentoAuxiliar  {
    background-color: rgba(65, 152, 119, 0.5);
}

.estamentoMatronas  {
    background-color: rgba(255, 0, 0, 0.5);
}

.estamentoSecretarias  {
    background-color: rgba(138, 142, 168, 0.5);
}


/* Nueva clase 'estamentoSeleccionAusencia' que define las dimensiones para la etiqueta <span> de cada trabajador de la lista de 'modalMotivo.html' */
span.estamentoSeleccionAusencia {
    height: 20px;
    width: 10px;
    float: left;
}




.top-alert {
  position: fixed;
  /*top: 0px;*/
  top: 10%;
  width: 100%;
  z-index: 100000;
  left: 0;
  padding: 20px;
  display: inline-block;
  text-align: center;
}
.top-alert .alert {
  width: auto !important;
  height: 100%;
  display: inline;
  position: relative;
  margin: 0;
}
.top-alert .alert .close {
  position: absolute;
  top: 11px;
  right: 10px;
  color: inherit;
}







.bottom-right-alert {
  position: fixed;
  bottom: 30px;
  width: 100%;
  z-index: 100000;
  left: 0;
  padding: 20px;
  display: inline-block;
  text-align: right;
}
.bottom-right-alert .alert {
  width: auto !important;
  height: 100%;
  display: inline;
  position: relative;
  margin: 0;
}
.bottom-right-alert .alert .close {
  position: absolute;
  top: 11px;
  right: 10px;
  color: inherit;
}

/*
  Vista dotacion actividad sector - Vista inicio Pabellón
*/

.botonAtrasVistaDotacionSector {
  position: absolute;
  z-index: 10;
  left: 0.8%;
  top: 9%;
  border-radius: 8px;
}


/*Solo para vista calendario*/

#vistaCalendario tr td {
  padding: 0;
}


@keyframes alertaSinMarcaEntrada { /* CSS3 */
  0%   { background-color: white; }
  50%   { background-color: blue; }
  100% { background-color: white; }
}
@-moz-keyframes alertaSinMarcaEntrada { /* Firefox */
  0%   { background-color: white; }
  50%   { background-color: blue; }
  100% { background-color: white; }
}
@-webkit-keyframes alertaSinMarcaEntrada { /* Webkit */
  0%   { background-color: white; }
  50%   { background-color: blue; }
  100% { background-color: white; }
}
.alertaSinMarcaEntrada {

  position: absolute;
  width: 5px;
  height: 5px;
  display: -webkit-inline-box;
  margin-top: 0px;
  margin-left: -16px;
  border-radius: 7px;



  animation:         alertaSinMarcaEntrada 2s infinite; /* CSS3 */
  -moz-animation:    alertaSinMarcaEntrada 2s infinite; /* Firefox */
  -webkit-animation: alertaSinMarcaEntrada 2s infinite; /* Webkit */
}

@keyframes alertaSinMarcaSalida { /* CSS3 */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
@-moz-keyframes alertaSinMarcaSalida { /* Firefox */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
@-webkit-keyframes alertaSinMarcaSalida { /* Webkit */
  0%   { background-color: white; }
  50%   { background-color: red; }
  100% { background-color: white; }
}
.alertaSinMarcaSalida {

  position: absolute;
  width: 5px;
  height: 5px;
  display: -webkit-inline-box;
  margin-top: 0px;
  margin-left: 5px;
  border-radius: 7px;



  animation:         alertaSinMarcaSalida 2s infinite; /* CSS3 */
  -moz-animation:    alertaSinMarcaSalida 2s infinite; /* Firefox */
  -webkit-animation: alertaSinMarcaSalida 2s infinite; /* Webkit */
}


.dpSaldoNegativo
{
  background-color: red;
  color: white;
}

.dpSaldoPositivo
{
  background-color: green;
  color: white;
}

.txtSaldoNegativo
{
  color: red;
}

.txtSaldoPositivo
{
  color: green;
}

.txtSaldoExtra
{
  color: blue;
}

.botonesNumeros
{
      color: white;
    font-size: xx-large;
    width: 70px;
    height: 70px;
    background-color: rgb(40,53,147);
    /* border-radius: 100px; */
    /* position: absolute; */
    /* padding: 20px; */
    /* padding-top: 30px; */
    /* padding-bottom: 20px; */
    /* text-align: center; */
    /* padding-right: 40px; */
    /* padding-left: 20px; */
    /* padding: 20px; */
    /* border-top-left-radius: 50px; */
    /* border-bottom-right-radius: 50px; */
    border-bottom-right-radius: 10px;
    border-top-left-radius: 10px;
    margin-left: 50px;

}



  /* Clases utilizadas para la alerta fija. */
   .bottom-left-alert {
	position: fixed;
	bottom: 2px;
    width: 99%;
    z-index: 100000;
    margin-left: 6px;
    margin-right: 6px;
    right:10;
    display: inline-block;
	text-align: left;
	margin-bottom: 0px;
  }
  .bottom-left-alert .alert {
    display: inline;
    bottom: 0px;
 }

  /* Clase para el botón de cerrar de la alerta fija. */
  .bottom-left-alert .alert .close {
    position: absolute;
    top: 11px;
    right: 10px;
    color: inherit;
  }

/**  Esto es para la botenera que ayuda a crear turnos de forma rapida en la nueva planilla*/

#botoneraCompleta {
  background-color: rgba(220, 220, 220, 0.8);
  border: 1px solid black;
  width: 60px;
  /*height: 22px;*/
  position: fixed;
  top: 29%;
  right: 1px;
  outline: 0;
  z-index: 999;
}

div.botoneraTurno {
    text-align: center;
    width: 60px;
    height: 60px;
    border: solid;
}

div.botoneraTurno:hover {
    background-color: #486a9a78;
}

div.botoneraTurnoGuardar {
    text-align: center;
    width: 60px;
    height: 60px;
    border-color: black;
    border: solid;
    font-size: xx-large;
}

div.botoneraTurnoGuardar:hover {
    background-color: #486a9a78;
}

.nomenclaturaBotoneraTurno 
{
    margin: 0 0 0px;
    font-weight: bold;
}
.horarioBotoneraTurno
{
  margin: 0 0 0px;
  font-size: xx-small;
}

.botoneraGuardar
{
  padding-top: 8px;
  font-size: x-large;
}

.texto-guardar
{
  padding-top: 8px;
  font-size: xx-small;
  margin: -12px;
}